OMNotebook: IAEX::OpenModelicaHighlighter Class Reference

- Main Page
- Classes
- Files
- Related Pages
- Examples

- Class List
- Class Hierarchy
- Class Members

# IAEX::OpenModelicaHighlighter Class Reference

Implements syntaxhighlightning for Modelica code. Implements syntaxhighlightning for Modelica code. To change colors edit the modelicacolors.xml. More...

Inheritance diagram for IAEX::OpenModelicaHighlighter:

List of all members.

## Public Member Functions
| OpenModelicaHighlighter (QString filename, QTextCharFormat standard)
| The class constructor.
virtual | ~OpenModelicaHighlighter ()
| The class destructor.
void | highlight (QTextDocument *doc)
| Highlights a QTextDocument. The function highlights one text block at the time.

## Detailed Description

Implements syntaxhighlightning for Modelica code. Implements syntaxhighlightning for Modelica code. To change colors edit the modelicacolors.xml.

Author:
  Anders Fernström

Date:
  2005-12-17

## Constructor & Destructor Documentation

IAEX::OpenModelicaHighlighter::OpenModelicaHighlighter | ( | QString | filename,
|  | QTextCharFormat | standard
| ) |

| The class constructor. Author: Anders Fernström Date: 2005-12-17

IAEX::OpenModelicaHighlighter::~OpenModelicaHighlighter | ( |  | ) | `[virtual]`

| The class destructor. Author: Anders Fernström Date: 2005-12-17

## Member Function Documentation

void IAEX::OpenModelicaHighlighter::highlight | ( | QTextDocument * | doc | ) | `[virtual]`

  | Highlights a QTextDocument. The function highlights one text block at the time. Author: Anders Fernström Date: 2005-12-17 2005-12-29 (update) Parameters:
  | doc | The text document that should be highlighted
2005-12-29 AF, Block signals while highlighting Implements IAEX::SyntaxHighlighter.

The documentation for this class was generated from the following files:

- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/openmodelicahighlighter.h
- C:/OpenModelica/OMNotebookQT4 v2/OMNotebookQT4/openmodelicahighlighter.cpp